%define anolis_release 2

Name:           phodav
Version:        3.0
Release:        %{anolis_release}%{?dist}
Summary:        A WebDAV server using libsoup3
License:        LGPLv2+
URL:            https://wiki.gnome.org/phodav

Source0:        http://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires: meson >= 0.50.0
BuildRequires: gettext
BuildRequires: pkgconfig(avahi-client)
BuildRequires: pkgconfig(avahi-gobject)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.44
BuildRequires: pkgconfig(libsoup-3.0) >= 3.0.0
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: asciidoc
BuildRequires: gtk-doc
BuildRequires: xmlto
BuildRequires: systemd-rpm-macros 

%description
phởdav is a WebDAV server implementation using libsoup3 (RFC 4918).

%package -n     libphodav
Summary:        A library to serve files with WebDAV

%description -n libphodav
phởdav is a WebDAV server implementation using libsoup3 (RFC 4918).
This package provides the library.

%package -n     libphodav-doc
Summary:        Documentation files for libphodav
Requires:       libphodav = %{version}-%{release}
Buildarch:      noarch

%description -n libphodav-doc
The libphodav-doc package contains documentation files for libphodav.

%package -n     libphodav-devel
Summary:        Development files for libphodav
Requires:       libphodav = %{version}-%{release}

%description -n libphodav-devel
The libphodav-devel package includes the header files for libphodav.

%package -n     chezdav
Summary:        A simple WebDAV server program
Requires:       libphodav = %{version}-%{release}

%description -n chezdav
The chezdav package contains a simple tool to share a directory
with WebDAV. The service is announced over mDNS for clients to discover.

%package -n     spice-webdavd
Summary:        Spice daemon for the DAV channel

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n spice-webdavd
The spice-webdavd package contains a daemon to proxy WebDAV request to
the Spice virtio channel.

%prep
%autosetup -p1

%build
%meson \
        -Dsystemdsystemunitdir=%{_unitdir} \
        -Dudevrulesdir=%{_udevrulesdir}

%meson_build

%install
%meson_install

%find_lang phodav-3.0 --with-gnome

%generate_compatibility_deps

%post -n spice-webdavd
%systemd_post spice-webdavd.service

%preun -n spice-webdavd
%systemd_preun spice-webdavd.service

%postun -n spice-webdavd
%systemd_postun_with_restart spice-webdavd.service

%files -n libphodav -f phodav-3.0.lang
%license COPYING
%dir %{abidir}
%{_libdir}/libphodav-3.0.so.0*
%{abidir}/libphodav-3.0.dump

%files -n libphodav-doc
%doc README.md NEWS

%files -n libphodav-devel
%{_includedir}/libphodav-3.0
%{_libdir}/libphodav-3.0.so
%{_libdir}/pkgconfig/libphodav-3.0.pc
%{_datadir}/gtk-doc/html/phodav-3.0

%files -n chezdav
%{_bindir}/chezdav
%{abidir}/chezdav-option.list
%{_mandir}/man1/chezdav.1*

%files -n spice-webdavd
%dir %{abidir}
%license COPYING
%{_sbindir}/spice-webdavd
%{abidir}/spice-webdavd-option.list
%{_udevrulesdir}/70-spice-webdavd.rules
%{_unitdir}/spice-webdavd.service

%changelog
* Mon Sep 25 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 3.0-2
- fix build error for loongarch64

* Fri Mar 31 2023 Funda Wang <fundawang@yeah.net> - 3.0-1
- Import package for anolis 23
